commit: 6f76c969e6f0a4b07cac14d8d81386d5c2425997
Author: Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 21 19:54:07 2015 +0000
Commit: Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Mon Sep 21 19:54:07 2015 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=6f76c969
mail-client/evolution: Sync with tree version
Package-Manager: portage-2.2.20.1
Manifest-Sign-Key: 7E8B4D42
mail-client/evolution/evolution-3.17.92.ebuild | 23 ++++-------------------
1 file changed, 4 insertions(+), 19 deletions(-)
diff --git a/mail-client/evolution/evolution-3.17.92.ebuild
b/mail-client/evolution/evolution-3.17.92.ebuild
index b17f476..a92ad4e 100644
--- a/mail-client/evolution/evolution-3.17.92.ebuild
+++ b/mail-client/evolution/evolution-3.17.92.ebuild
@@ -7,9 +7,6 @@ GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit eutils flag-o-matic readme.gentoo gnome2
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
@@ -18,18 +15,11 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
LICENSE="|| ( LGPL-2 LGPL-3 ) CC-BY-SA-3.0 FDL-1.3+ OPENLDAP"
SLOT="2.0"
IUSE="+bogofilter crypt highlight ldap map spamassassin spell ssl +weather"
-if [[ ${PV} = 9999 ]]; then
- IUSE="${IUSE} doc"
- KEYWORDS=""
-else
- # Needs x11-libs/libcryptui keyworded
- #KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd"
- KEYWORDS="~amd64 ~x86 ~x86-fbsd"
-fi
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
# We need a graphical pinentry frontend to be able to ask for the GPG
# password from inside evolution, bug 160302
-PINENTRY_DEPEND="|| ( app-crypt/pinentry[gtk] app-crypt/pinentry[qt4] )"
+PINENTRY_DEPEND="|| ( app-crypt/pinentry[gnome-keyring]
app-crypt/pinentry[gtk] app-crypt/pinentry[qt4] )"
# glade-3 support is for maintainers only per configure.ac
# pst is not mature enough and changes API/ABI frequently
@@ -39,7 +29,7 @@ PINENTRY_DEPEND="|| ( app-crypt/pinentry[gtk]
app-crypt/pinentry[qt4] )"
COMMON_DEPEND="
>=app-crypt/gcr-3.4
>=app-text/enchant-1.1.7
- >=dev-libs/glib-2.40:2
+ >=dev-libs/glib-2.40:2[dbus]
>=dev-libs/libxml2-2.7.3:2
>=gnome-base/gnome-desktop-2.91.3:3=
>=gnome-base/gsettings-desktop-schemas-2.91.92
@@ -114,15 +104,11 @@ file from /usr/share/applications if you use a different
browser)."
src_prepare() {
# Fix relink issues in src_install
ELTCONF="--reverse-deps"
-
gnome2_src_prepare
-
}
src_configure() {
# Use NSS/NSPR only if 'ssl' is enabled.
- local myconf
- [[ ${PV} != 9999 ]] && myconf="${myconf} ITSTOOL=$(type -P true)"
gnome2_src_configure \
--without-glade-catalog \
--disable-autoar \
@@ -143,8 +129,7 @@ src_configure() {
--without-nspr-includes
--without-nss-libs
--without-nss-includes") \
- $(use_enable weather) \
- ${myconf}
+ $(use_enable weather)
}
src_install() {